Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.expr.flwor
Class WindowClausePush

    java.lang.Object
      net.sf.saxon.expr.flwor.TuplePush
          com.saxonica.expr.flwor.WindowClausePush

    public class WindowClausePush

extends TuplePush

Implement a sliding or tumbling window clause of a FLWOR expression in tuple-push mode. The entire window processing is activated once for each input tuple, and it generates one output tuple for each identified window.

Constructor Summary
`WindowClausePush(TuplePush destination, WindowClause windowClause)`

Method Summary
`void` | `close()` Close the tuple stream, indicating that no more tuples will be supplied
`void` | `processTuple(XPathContext context)` Notify the availability of the next tuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowClausePush

    public WindowClausePush(TuplePush destination,
                            WindowClause windowClause)

Method Detail

### processTuple

    public void processTuple(XPathContext context)
                      throws XPathException

  Notify the availability of the next tuple. Before calling this method, the supplier of the tuples must set all the variables corresponding to the supplied tuple in the local stack frame associated with the context object

  Specified by:
    `processTuple` in class `TuplePush`
  Parameters:
    `context` - the dynamic evaluation context
  Throws:
    `XPathException` - if a dynamic error occurs

### close

    public void close()
               throws XPathException

  Close the tuple stream, indicating that no more tuples will be supplied

  Overrides:
    `close` in class `TuplePush`
  Throws:
    `XPathException` - if a dynamic error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.